﻿
.lam {
	display: inline-block;
	width: 14px; height: 14px;
	margin-left: 10px;
	border: none;
}
.lam0 {	background-image: url('../images/lampka0.png'); }
.lam1 {	background-image: url('../images/lampka1.png'); }
.lam2 {	background-image: url('../images/lampka2.png'); }

.lIO {
	display: inline-block;
	width: 14px; height: 14px;
	margin: 1px 3px;
	border: none;
	text-align: center;
}

.guz {
	height:18px; width:24px;
	margin: 0px;
	border: 0;
	line-height: 0;
	padding: 0px;
	font-size: 10px;
	text-align: center;
	color: #fff;
	text-shadow: 1px 1px 1px #000;
	border-radius: 5px;
	background-color: rgba(220, 0, 0, 1); /* czerwony */
	background-image: linear-gradient(to top left,
				rgba(0, 0, 0, .2),
				rgba(0, 0, 0, .2) 30%,
				rgba(0, 0, 0, 0));
	box-shadow: inset 2px 2px 3px rgba(255, 255, 255, .6),
			  1px 4px 3px rgba(0, 0, 0, .7);
}
.guz:hover {
	background-color: rgba(255, 0, 0, 1);
}
.guz:active {
	box-shadow: inset -2px -2px 3px rgba(255, 255, 255, .6),
		    inset 2px 2px 3px rgba(0, 0, 0, .6);
}

.guz0 {background-color: rgba(32, 32, 32, 1);} /* czarny */
.guz0:hover {background-color: rgba(67, 67, 67, 1);}

.guz1 {background-color: rgba(204, 204, 153, 1);} /* rudy jasny */
.guz1:hover {background-color: rgba(239, 239, 188, 1);}

.guz2 {background-color: rgba(137, 137, 86, 1);} /* rudy ciemny */
.guz2:hover {background-color: rgba(172, 172, 121, 1);}

.guz3 {background-color: rgba(200, 200, 200, 1);} /* szary jasny */
.guz3:hover {background-color: rgba(235, 235, 235, 1);}

.guz4 {background-color: rgba(130, 130, 130, 1);} /* szary ciemny */
.guz4:hover {background-color: rgba(165, 165, 165, 1);}

.guIO {height:20px; width:20px; border-radius: 10px; margin: 1px 8px 0 0;
	background-color: rgba(108, 103, 103, 1);} /* szary ciemny */
.guIO:hover {background-color: rgba(143, 138, 138, 1);}
.guMAW {margin-top: 0;} 

.butZ {	background-color: rgba(0, 220, 0, 1); height:24px; border-radius: 12px;} /* zielony */
.butZ:hover {background-color: rgba(0, 255, 0, 1);}

.butB {background-color: rgba(58, 142, 208, 1); height:24px; border-radius: 12px;} /* niebieski */
.butB:hover {background-color: rgba(93, 177, 243, 1);}
.butB:disabled { background-color: rgba(224, 224, 224, .6); box-shadow: none; }

.butC {height:24px; border-radius: 12px;}

.kla {
	height:24px; width:24px;
	margin: 1px;
	border: 0;
	font-size: 14px;
	font-family: Arial, sans-serif;
	line-height: 14px;
	padding: 2px 6px 8px 0;
	border-radius: 5px;
	background-color: rgba(220, 220, 220, 1); /* jasny */
	background-image: linear-gradient(to bottom right,
				rgba(0, 0, 0, .2),
				rgba(0, 0, 0, .2) 30%,
				rgba(0, 0, 0, 0));
	box-shadow: inset 2px 2px 3px rgba(255, 255, 255, .7),
			  1px 4px 3px rgba(0, 0, 0, .8);
}
.kla:hover {
	background-color: rgba(255, 255, 255, 1);
}
.kla:active {
	box-shadow: inset -1px -1px 2px rgba(255, 255, 255, .7),
		    inset 1px 1px 2px rgba(0, 0, 0, .7);
}

.klaS {background-color: rgba(140, 140, 140, 1); padding: 2px 0 8px 0;} /* szary */
.klaS:hover {background-color: rgba(175, 175, 175, 1);}

.klaL {background-color: rgba(80, 80, 80, 1); color: #DCDCDC; padding: 2px 0 8px 0;} /* ciemny */
.klaL:hover {background-color: rgba(115, 115, 115, 1);}

.klaX {background-color: rgba(220, 0, 0, 1); height:18px; width:37px; margin: 1px 1px 7px 1px; padding: 2px 0;} /* czerwony */
.klaX:hover {background-color: rgba(255, 0, 0, 1);}

.slider {
	width: 160px;
	height: 5px;
/*	background: #d30000; /* d3d3; */
	outline: none;
	opacity: 0.7;
}
.slider:hover {	opacity: 1; }

.logo {
	width: 50px; height: 42px;
	display: inline-block;
	margin: 1px;
	border: 3px solid transparent;
	background-color: transparent;
	background-image: url('../images/logo3.png');
	background-repeat: no-repeat;
}

.t {
	display: inline-block;
	width: 24px;
	position: relative;
	text-align: center;
	font-size: 12px;
}

.CPU {
	display: inline-block;
	margin: 1px 1px 0 0;
	border-width: 3px 10px;
	border-style: inset;
	position: relative;
	padding: 2px;
	background-color: #303030;
	font-size: 12px;
	font-family: "Courier New", "Lucida Console", monospace;
/*	font-weight: bold; */
	line-height: 100%;
	color: #FFFFFF;
	visibility: hidden;
}

.CPUf {
	display: inline-block;
	width: 7%;
	position: relative;
	color: #88CEFA;
	cursor: default;
}

.CPUr {
	display: inline-block;
	width: 7%;
	position: relative;
	cursor: default;
	color: cyan;
}
.CPUr .tip {
	visibility: hidden;
	background-color: white;
	color: black;
	white-space: pre;
	padding: 3px;
	position: absolute;
	z-index: 1;
	left: 100%;
	top: 100%;
}
.CPUr:hover .tip { visibility: visible; }

.CPUa {
	display: inline-block;
	width: 9%;
	position: relative;
	cursor: default;
	color: cyan;
	text-align: right;
}

.CPUw {
	display: inline-block;
	width: 85%;
	white-space: pre;
	position: relative;
}
.CPUwG {
	background: linear-gradient(to right, #004400 23%, #440000 24% 54%, #000044 55% 84%, #004400 85% 95%, #303030 95%);
}

.CPUv {
	display: inline-block;
	width: 38%;
	position: relative;
}

.CPUu {
	display: inline-block;
	width: 15%;
	position: relative;
	text-align: right;
}

.CPUc {
	display: inline-block;
	width: 6%;
	position: relative;
	color: orange;
	cursor:default;
}
.CPUs {	color: red; }

.PAM {
	display: inline-block;
	height: 256px;
	margin: 1px 0 0 0;
	border-width: 1px;
	border-style: inset;
	position: relative;
	font-size: 12px;
	font-family: "Courier New", "Lucida Console", monospace;
	line-height: 100%;
	padding: 1px 1px 0 0;
	background-color: #404040;
	visibility: hidden;
}
.PAM .tip {
	visibility: hidden;
	background-color: white;
	color: black;
	white-space: pre;
	border-width: 8px;
	padding: 3px;
	position: absolute;
	z-index: 1;
}
.PAM:hover .tip { visibility: visible; }

.trzewia {
	min-width:1000px;
	display: flex;
	justify-content: center;
	margin: 0 auto;
	font-size:12px;
}

.zegar {
	margin: 2px;
	display: inline-block;
	border-style: inset;
	position: relative;
	text-align: right;
	padding: 2px;
	background-color: #404040;
	font-size: 12px;
	font-family: "Courier New", "Lucida Console", monospace;
	color: #00FF00;
}

.r { display: inline-block; }

.maszyna {
	width: 984px;
	margin-left: 20px;
	border-radius: 10px;
	border-style: outset;
	line-height: 14px;
	background: linear-gradient(to right bottom, #B0B0B0 0%, #707070 100%);
}

.klaw {
	width: 403px;
	margin: 0 auto;
	border-radius: 7px;
	border-style: inset;
	padding: 2px;
/*	line-height: 14px;*/
	background: linear-gradient(to right bottom, #404040 0%, #202020 100%);
	position: relative;
	bottom: 100%;
	z-index: 2;
	display: none;
}

.menu {
	height: 42px;
	position: relative;
	float: left;
	margin: 0;
	display: inline-block;
}

.v {
	display: inline-block;
	position: relative;
	float: right;
}

.vIO {
	display: inline-block;
	position: relative;
	float: right;
	padding: 0 4px;
	border: 1px solid;
	white-space: pre;
}

.oIO {
	width: 96px; height: 32px; max-height: 304px;
	overflow-x: auto;
	overflow-y: scroll;
	padding: 4px;
	color: black;
	white-space: pre;
	font-size: 12px;
	line-height: 100%;
	position: absolute;
	left: 0%;
	bottom: 100%;
	display: none;
}
.pIO { line-height: 8px; }
.cIO0 { background-color: #FFD990; }
.cIO1 { background-color: #FCFCC0; }
.cIO2 { background-color: #FFB890; }
.cIO3 { background-color: #A0F8A0; }
.cIO4 { background-color: #80C880; }
.cIO5 { background-color: #98C0F0; }
.cIO6 { background-color: #A8D0F0; }
.cIO7 { background-color: #C090E0; }
.cIO8 { background-color: #E0E0E0; max-height: 384px; }
.cIO9 { background-color: #EEECEC; }
.cIO10 { background-color: #E6E4E4; }

textarea {font-family: "Courier New", "Lucida Console", monospace;}

.nIO {
	display: inline-block;
	position: relative;
	float: right;
	margin: 6px 3px;
}

.wIO {
	border:1px solid;
	margin-bottom: 1px;
	width: 478px;
	white-space: pre; 
/*	background: white; */
}

.emulator {
	width: 1030px;
	margin: 0 auto;
	background: #C0C0C0;
}

.perf {
	float:left;
	width:16%;
}

.kons {
	float:left;
	width:52%;
}

.czyt {
	float:left;
	width:16%;
}

.URZ {
	margin-left: 2px;
	border-radius: 10px 10px 0 0;
	border-style: outset;
	line-height: 14px;
	padding: 2px 4px 6px;
	position: relative;
	text-align: left;
	background: linear-gradient(to right bottom, #B0B0B0 0%, #707070 100%);
	box-shadow: 4px -4px #464646;
	font-family: "Courier New", "Lucida Console", monospace;
}
.PTR5 {	width: 115px; }
.PTR8 { width: 135px; margin-top: 8px; }
.PTP5 { width: 115px; margin-right: 22px; }
.PTP8 { width: 135px; margin-right: 2px; }
.MAW  { width: 135px; margin-right: 2px; border-radius: 0; padding: 1px 4px 2px; z-index: 1; }
.TTY  { width: 480px; margin: 0 auto; }
.TTYP {
	display: block;
	float: left;
	width: 90px;
	padding: 2px 4px 6px;
	border: 1px solid #686868;
	text-align: left;
}
.TTK {
	width: 216px; height: 46px;
	display: block;
	margin: 0px;
	border: 3px solid transparent;
	background-color: transparent;
	background-image: url('../images/klawiat.png');
	background-repeat: no-repeat;
}

.TTYu {
	display: inline-block;
	float: left;
	height: 47px;
	position: relative;
	margin: 0;
}

.TTYt {
	width: 150px;
	text-align: center;
	margin-left: auto;
	margin-right: auto;
	padding: 2px;
	display: block;
	border: 1px;
	border-style: outset;
	position: relative;
}
.TTYt .tip {
	visibility: hidden;
	background-color: white;
	color: black;
	white-space: pre;
	padding: 3px;
	position: absolute;
	z-index: 1;
	bottom: 100%;
	left: 0;
}
.TTYt:hover .tip { visibility: visible; }

input[type="file"] { display: none; }

.peryferia {
	font-size:12px;
	min-width:1000px;
	clear: both;
}

.hala {
/*	min-width: 1030px;*/
	background-color: #2B3C53;
	background-image: url('../images/kable.png');
	background-repeat: no-repeat;
	background-attachment: fixed;
	background-size: 100% 100%;
}
